# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.2.1](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components-msft@1.2.0...@microsoft/fast-components-msft@1.2.1) (2020-06-17)


### Bug Fixes

* inherit font size and line height in hypertext styles ([#3320](https://github.com/Microsoft/fast-dna/issues/3320)) ([98348cb](https://github.com/Microsoft/fast-dna/commit/98348cbfceb35f95cfdba4f9a1706ad985a60540))
* outline button should use outline color recipes ([#3327](https://github.com/Microsoft/fast-dna/issues/3327)) ([70330e4](https://github.com/Microsoft/fast-dna/commit/70330e443e6cc470a3a8d7fa0948d9eaf45127c3))
* remove hypertext styles from button ([#3319](https://github.com/Microsoft/fast-dna/issues/3319)) ([788e299](https://github.com/Microsoft/fast-dna/commit/788e299ffed8fe965212079a01dd53d42a80b894))





# [1.2.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components-msft@1.1.2...@microsoft/fast-components-msft@1.2.0) (2020-06-15)


### Bug Fixes

* correct anchor and button stylesheets ([#3308](https://github.com/Microsoft/fast-dna/issues/3308)) ([78feda2](https://github.com/Microsoft/fast-dna/commit/78feda2460f814c7995f0168a5180bfe54913a5b))
* ensure all component internals have part names ([#3306](https://github.com/Microsoft/fast-dna/issues/3306)) ([95360a7](https://github.com/Microsoft/fast-dna/commit/95360a76ccb4ec40b2623dc01b55ea123d522b62))
* remove inherited height from lightweight button and anchor ([#3281](https://github.com/Microsoft/fast-dna/issues/3281)) ([3aa506e](https://github.com/Microsoft/fast-dna/commit/3aa506e4074f156db2e2eaa29fff8fa956fed53d))
* update progress from accent fill to accent foreground ([#3277](https://github.com/Microsoft/fast-dna/issues/3277)) ([447c5a3](https://github.com/Microsoft/fast-dna/commit/447c5a3a71e99a6fcfb7cc2ef2e332027c01d96d))


### Features

* adds accordion config to component explorer ([#3276](https://github.com/Microsoft/fast-dna/issues/3276)) ([5e972ca](https://github.com/Microsoft/fast-dna/commit/5e972caed89201aecabb861eb49705458b1385eb))
* design-system-provider now paints CSS color and background color ([#3278](https://github.com/Microsoft/fast-dna/issues/3278)) ([8e97ac4](https://github.com/Microsoft/fast-dna/commit/8e97ac4aae18c8b17b90e61e139ad3fb0b7f7c3d))
* export styles and utils from fast-components-msft ([#3304](https://github.com/Microsoft/fast-dna/issues/3304)) ([54881c0](https://github.com/Microsoft/fast-dna/commit/54881c0ad8ddca25c44b7d7f87c0407d8a12b1d0))
* provides access to the CSS variable created by CSSCustomProprtyBehaviors ([#3256](https://github.com/Microsoft/fast-dna/issues/3256)) ([391f029](https://github.com/Microsoft/fast-dna/commit/391f029da2d5a5502ee484af10aaef771d3c297c))





## [1.1.1](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components-msft@1.1.0...@microsoft/fast-components-msft@1.1.1) (2020-06-09)

**Note:** Version bump only for package @microsoft/fast-components-msft





# [1.1.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components-msft@1.0.0...@microsoft/fast-components-msft@1.1.0) (2020-06-05)


### Bug Fixes

* outline on flipper ([#3204](https://github.com/Microsoft/fast-dna/issues/3204)) ([a703703](https://github.com/Microsoft/fast-dna/commit/a7037032b8c5c9abc43e98eb115383b792a145a4))
* slider vertical navigation and value setting bugs ([#3176](https://github.com/Microsoft/fast-dna/issues/3176)) ([f46d87d](https://github.com/Microsoft/fast-dna/commit/f46d87d8d7dfe9101e0d1d8bec7d8a08097751bb))


### Features

* add accordion web component ([#3067](https://github.com/Microsoft/fast-dna/issues/3067)) ([f551378](https://github.com/Microsoft/fast-dna/commit/f55137803551711bef9eeb2c55c8d6f01a3eb74f))





# 1.0.0 (2020-05-18)


### Bug Fixes

* focus visuals and style clean up ([#3145](https://github.com/Microsoft/fast-dna/issues/3145)) ([34063c9](https://github.com/Microsoft/fast-dna/commit/34063c98a7c4261f9e234d32202c8a8be1803c21))
* remove fast-components dependency in fast-components-msft ([#3157](https://github.com/Microsoft/fast-dna/issues/3157)) ([81d0ec3](https://github.com/Microsoft/fast-dna/commit/81d0ec3945ac0010bebf96b0d54adbd6e07539b9))


### Features

* **web-components:** new build/test/docs setup ([#3156](https://github.com/Microsoft/fast-dna/issues/3156)) ([51d909a](https://github.com/Microsoft/fast-dna/commit/51d909ad6a616cb63f7c62defe1ee1f3d2abaf02))
* add fast-components-msft as a new package ([#3096](https://github.com/Microsoft/fast-dna/issues/3096)) ([0515fff](https://github.com/Microsoft/fast-dna/commit/0515fff5a1b7163e6f63f609e1efdba338e773c7))
* update badge API and styles ([#3147](https://github.com/Microsoft/fast-dna/issues/3147)) ([23eca38](https://github.com/Microsoft/fast-dna/commit/23eca38c0c0ca4ac0d219315fcc1308e093f3363))


### BREAKING CHANGES

* fundamentally changes and breaks the badge component API and styles
