module.exports = {
    docs: [
        {
            type: "doc",
            id: "introduction",
        },
        {
            type: "category",
            label: "Using FAST Components",
            items: [
                "components/getting-started",
                {
                    type: "category",
                    label: "Components",
                    items: [
                        "components/accordion",
                        "components/anchor",
                        "components/badge",
                        "components/button",
                        "components/card",
                        "components/checkbox",
                        "components/design-system-provider",
                        "components/dialog",
                        "components/divider",
                        "components/flipper",
                        "components/menu",
                        "components/menu-item",
                        "components/progress",
                        "components/radio",
                        "components/radio-group",
                        "components/slider",
                        "components/slider-label",
                        "components/switch",
                        "components/tabs",
                        "components/text-area",
                        "components/text-field",
                    ],
                },
                {
                    type: "category",
                    label: "Design",
                    items: [
                        "design/introduction",
                        "design/design-system",
                        "design/type-ramp",
                        "design/color",
                        "design/match-media-stylesheets",
                    ],
                },
            ],
        },
        {
            type: "category",
            label: "Using FAST Element",
            items: [
                "fast-element/getting-started",
                "fast-element/defining-elements",
                "fast-element/declaring-templates",
                "fast-element/using-directives",
                "fast-element/observables-and-state",
                "fast-element/working-with-shadow-dom",
                "fast-element/leveraging-css",
                "fast-element/next-steps",
            ],
        },
        {
            type: "category",
            label: "Tools",
            items: ["tools/component-explorer", "tools/vscode"],
        },
        {
            type: "category",
            label: "Integrations",
            items: [
                "integrations/introduction",
                "integrations/aspnet",
                "integrations/aurelia",
                "integrations/blazor",
                "integrations/webpack",
            ],
        },
        {
            type: "category",
            label: "API Reference",
            items: [
                "api/fast-element",
                "api/fast-foundation",
                "api/fast-components",
                "api/fast-components-msft",
            ],
        },
        {
            type: "category",
            label: "Community Contribution",
            items: [
                "community/join",
                "community/code-of-conduct",
                "community/contributor-guide",
                "community/writing-documentation",
            ],
        },
        {
            type: "category",
            label: "Resources",
            items: [
                "resources/license",
                "resources/security",
                "resources/browser-support",
                "resources/acknowledgements",
                "resources/glossary",
                "resources/faq",
            ],
        },
    ],
};
